# $Revision: 1.126 $, $Date: 2010/02/08 16:16:15 $
Summary:	Image loading and rendering library for X11R6
Summary(es.UTF-8):	Biblioteca de carga y render 3D para X11R6
Summary(fr.UTF-8):	Librairie de chargement et interprétation d'images pour X11R6
Summary(ko.UTF-8):	X11R6를 위한 그림 읽기/화면에 그려주기 라이브러리
Summary(pl.UTF-8):	Biblioteki do renderowania i ładowania grafiki pod X11R6
Summary(pt_BR.UTF-8):	Biblioteca de carga e renderização para X11R6
Name:		imlib
Version:	1.9.15
Release:	14
Epoch:		1
License:	LGPL v2
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/imlib/1.9/%{name}-%{version}.tar.bz2
# Source0-md5:	7db987e6c52e4daf70d7d0f471238eae
Source1:	%{name}-config.desktop
Patch0:		%{name}-m4_fix.patch
Patch1:		%{name}-full_i18n.patch
Patch2:		%{name}-config.patch
Patch3:		%{name}-am18.patch
Patch4:		%{name}-intl.patch
Patch5:		%{name}-CAN-2004-1026.patch
Patch6:		%{name}-link.patch
Patch7:		%{name}-16bit_depth_fix.patch
Patch8:		%{name}-exa_fix.patch
Patch9:		%{name}-ac.patch
Patch10:	%{name}-libpng.patch
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	giflib-devel
BuildRequires:	gtk+-devel >= 1.2.1
BuildRequires:	libjpeg-devel >= 6b-18
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	zlib-devel
Obsoletes:	libimlib1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/X11

%description
Imlib is an advanced replacement library for libraries like libXpm
that provides many more features with much greater flexability and
speed.

%description -l es.UTF-8
Imlib es una biblioteca avanzada que sustituye las bibliotecas libXpm
que ofrece mucho más opciones/características con una flexibilidad y
velocidad mucho mayores.

%description -l fr.UTF-8
Imlib est une librairie de remplacement avancée pour les librairies
comme libXpm qui fourni plus d'atouts et beaucoup plus de flexibilité
et de vitesse.

%description -l pl.UTF-8
Imlib jest zaawansowanym zamiennikiem bibliotek typu libXpm, ze
zwiększoną elastycznością oraz prędkością.

%description -l pt_BR.UTF-8
A imlib é uma biblioteca avançada que substitui as bibliotecas libXpm
que fornece muito mais opções/características com uma flexibilidade e
velocidade muito maiores.

%package cfgeditor
Summary:	Imlib configuration editor
Summary(es.UTF-8):	Editor de configuración de imlib
Summary(ko.UTF-8):	Imlib라이브러리용 설정 편집기
Summary(pl.UTF-8):	Edytor konfiguracji do biblioteki imlib
Summary(pt_BR.UTF-8):	Editor da configuração da imlib
Group:		X11/Applications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description cfgeditor
The imlib_config program allows you to control the way imlib uses
color and handles gamma correction/etc.

%description cfgeditor -l es.UTF-8
El programa imlib_config te permite controlar como imlib usa los
colores y manipula la corrección gamma, etc.

%description cfgeditor -l pl.UTF-8
Program imlib_config umożliwia zmianę sposobu używania przez
bibliotekę imlib kolorów, korekcji gamma i innych.

%description cfgeditor -l pt_BR.UTF-8
O programa imlib_config lhe permite controlar como a imlib usa as
cores e trata correção gamma, etc.

%package devel
Summary:	Imlib header files and development documentation
Summary(es.UTF-8):	Archivos de inclusión, bibliotecas y documentación para Imlib
Summary(fr.UTF-8):	Fichiers entête pour Imlib
Summary(ko.UTF-8):	Imlib 응용프로그램들을 위한 개발 도구
Summary(pl.UTF-8):	Pliki nagłówkowe oraz dokumentacja do imlib
Summary(pt_BR.UTF-8):	Arquivos de inclusão, bibliotecas e documentação para a Imlib
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	giflib-devel
Requires:	libjpeg-devel
Requires:	libpng-devel
Requires:	libtiff-devel
Requires:	xorg-lib-libX11-devel
Requires:	zlib-devel
Obsoletes:	libimlib1-devel

%description devel
Header files and development documentation for Imlib.

%description devel -l es.UTF-8
Archivos de inclusión, bibliotecas estáticas y documentación para
imlib.

%description devel -l fr.UTF-8
Fichiers entête pour Imlib.

%description devel -l pl.UTF-8
Pliki nagłówkowe oraz dokumentacja do biblioteki Imlib.

%description devel -l pt_BR.UTF-8
Arquivos de inclusão, bibliotecas estáticas e documentação para a
imlib.

%package static
Summary:	Imlib static libraries
Summary(pl.UTF-8):	Biblioteki statyczne imlib
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com imlib
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Imlib static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne imlib.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com imlib.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
# temporary hack
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p0
%patch10 -p1

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

# no static modules and *.la for modules - shut up check-files
rm -f $RPM_BUILD_ROOT%{_libdir}/libimlib-*.{la,a}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libImlib.so.*.*
%attr(755,root,root) %{_libdir}/libgdk_imlib.so.*.*
%attr(755,root,root) %{_libdir}/libimlib-*.so
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/im_palette*.pal
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/imrc

%files cfgeditor -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/imlib_config
%{_mandir}/man1/imlib_config.1*
%{_desktopdir}/imlib-config.desktop

%files devel
%defattr(644,root,root,755)
%doc doc/{*gif,*.html}
%attr(755,root,root) %{_bindir}/imlib-config
%attr(755,root,root) %{_libdir}/libImlib.so
%attr(755,root,root) %{_libdir}/libgdk_imlib.so
%{_libdir}/libImlib.la
%{_libdir}/libgdk_imlib.la
%{_includedir}/*
%{_aclocaldir}/*
%{_pkgconfigdir}/*.pc
%{_mandir}/man1/imlib-config.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/libImlib.a
%{_libdir}/libgdk_imlib.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: imlib.spec,v $
Revision 1.126  2010/02/08 16:16:15  arekm
- libpng fixes

Revision 1.125  2010/01/28 17:28:35  arekm
- release 13

Revision 1.124  2009/07/10 19:53:12  arekm
- release 12

Revision 1.123  2008/11/11 15:39:40  arekm
- rel 11; fix build with new libtool

Revision 1.122  2008/11/11 12:09:28  arekm
- release 10

Revision 1.121  2008-04-15 17:50:45  glen
- whine in proper spec

Revision 1.120  2008-04-15 17:45:46  glen
- shouldn't gtk+2 be dying

Revision 1.119  2007-11-03 22:57:51  zawadaa
- fix from Debian
- http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=448360

Revision 1.118  2007/08/26 19:26:15  qboosh
- unified gnome source URL
- clarified License

Revision 1.117  2007/07/11 07:53:14  blues
- rel.8

Revision 1.116  2007/07/11 07:45:52  blues
- rel.7 - added 16bit_depth_fix patch

Revision 1.115  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.114  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.113  2006/12/27 01:28:38  megabajt
- release 6

Revision 1.112  2006/08/26 22:19:24  qboosh
- added link patch to reduce linking (no -lSM -lICE)
- removed dead URL, release 5

Revision 1.111  2006/05/26 23:23:42  qboosh
- s/libungif/giflib/ in deps

Revision 1.110  2006/02/15 21:26:40  wolf
- xorg modular deps, rel 4

Revision 1.109  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.108  2005/05/03 22:28:38  pluto
- release 3 for Th.

Revision 1.107  2004/12/10 22:23:27  adamg
- added CAN-2004-1026.patch (shamelessly stolen from gentoo)
- strict deps in -cfgeditor package
- release 2

Revision 1.106  2004/10/19 21:49:48  qboosh
- updated to 1.9.15, updated full_i18n patch, removed obsolete locale-names,ac25x patches

Revision 1.105  2004/09/25 11:20:52  radek
- cosmetics (spaces -> tabs)

Revision 1.104  2004/09/17 13:21:25  blues
- release 13

Revision 1.103  2004/09/17 13:06:06  blues
- release 12.1

Revision 1.102  2004/09/14 16:00:13  saq
- fixed SECURITY buffer overrun
- release 12, STBR for Ac

Revision 1.101  2004/09/12 11:47:56  blues
- SECURITY note

Revision 1.100  2004/07/22 22:37:05  ankry
- no -> nb, rel. 11

Revision 1.99  2004/07/22 21:59:13  ankry
- desktop fix, rel. 10

Revision 1.98  2003/12/22 16:20:15  qboosh
- added am18 patch (imlib.m4 quotation fix); cleanups, release 9

Revision 1.97  2003/12/10 19:00:47  grzegol
- _applnkdir -> _desktopdir; rel. 8

Revision 1.96  2003/08/23 08:25:54  krzak
- Release 7, rebuild

Revision 1.95  2003/06/20 17:37:51  jareq
- fixed epoch:version issue

Revision 1.94  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.93  2003/05/25 05:48:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.92  2003/05/16 10:03:21  qboosh
- added locale-zh patch to standardize zh_CN name
- removed static modules, shut up check-files

Revision 1.91  2003/03/20 20:31:17  qboosh
- added missing imlib[-_]config(1) manuals and *.pc files
- removed bugus "es translations"

Revision 1.90  2003/02/13 12:32:55  wiget
- BR: libpng-devel not libpng

Revision 1.89  2003/02/07 09:21:21  pascalek
- libtoolize

Revision 1.88  2003/01/31 23:18:41  adgor
- Release 6

Revision 1.87  2003/01/18 22:51:59  juandon
- removed two lines with define

Revision 1.86  2003/01/15 13:13:00  qboosh
- updated Source0 URL

Revision 1.85  2002/12/02 11:06:20  ankry
- massive cleaning

Revision 1.84  2002/11/25 14:16:44  ankry
- massive attack: no need for 755 for *.la

Revision 1.83  2002/11/08 22:11:19  kloczek
- release 5: remove hack in %build for libpng 1.2 and merge translations from MIZI.

Revision 1.82  2002/11/05 15:25:43  juandon
- added patch

Revision 1.81  2002/10/09 13:14:34  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.80  2002/06/23 20:52:52  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.79  2002/05/21 23:13:36  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.78  2002/05/02 00:16:59  qboosh
- updated ac25x patch to work with autoconf 2.53

Revision 1.77  2002/05/02 00:10:31  qboosh
- removed gdk-pixbuf-devel from BR - seems not used at all

Revision 1.76  2002/05/01 23:35:11  kloczek
- release 2,
- reenabled ac25x patch (updated for 1.9.14),
- merge translations from Conectiva.

Revision 1.75  2002/05/01 13:56:43  kloczek
- libimlib1{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.74  2002/05/01 08:53:13  mmazur
- upgraded to 1.9.14; SECURITY FIX; rel1; STBR

Revision 1.73  2002/04/25 16:36:25  arturs
fixed a small typo

Revision 1.72  2002/04/18 10:16:22  wiget
allow compilling with libpng 1.2.2, release 2.1

Revision 1.71  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.70  2002/03/23 22:19:12  kloczek
- release 2.

Revision 1.69  2002/03/23 19:51:19  qboosh
- ac25x patch to fix autoconf madness (needed for 2.53)

Revision 1.68  2002/03/22 10:44:45  ankry
- upgdaded to 1.9.13, release 1; it builds, not tested whether it works

Revision 1.67  2002/02/23 02:59:06  kloczek
- adapterized.

Revision 1.66  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.65  2002/02/03 20:51:30  ankry
- adding es/pt/pt_BR Group translations

Revision 1.64  2002/01/18 02:13:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.63  2001/10/23 20:34:04  qboosh
- added config patch to remove @LDFLAGS@ from `imlib-config --libs` - it caused
  stripping of all binaries linked with imlib (LDFLAGS contain only "-s" here)
- fixed static -l pl description
- release 3

Revision 1.62  2001/09/06 17:41:04  kloczek
- release 2.

Revision 1.61  2001/09/06 01:01:42  blues
- description corrected (i.e. removed english text from polish part...)
- rm -rf missing added

Revision 1.60  2001/08/09 11:37:45  blues
- gdk-pixbuf added to requires

Revision 1.59  2001/08/06 10:47:50  kloczek
- updated to 1.9.11.

Revision 1.58  2001/07/15 22:26:16  kloczek
- release 3: rebuild.

Revision 1.57  2001/04/28 15:04:01  qboosh
- require libjpeg with fixed jconfig.h
- release 2: rebuild with libjpeg support

Revision 1.56  2001/04/12 00:29:43  kloczek
- updated to 1.9.10.

Revision 1.55  2001/02/20 02:42:24  kloczek
- updated to 1.9.9,
- removed obsoleted palfallback and gdk patches.

Revision 1.54  2001/02/16 10:59:24  kloczek
- release 7: removed *.la files for plugins.

Revision 1.53  2000/12/30 04:24:34  michuz
- moved back files to %%{_applnkdir}/Settings

Revision 1.52  2000/12/30 04:06:25  michuz
- release 7
- moved %%{_applnkdir}/Settings/* to %%{_applnkdir}/Settings/GNOME

Revision 1.51  2000/10/23 21:05:36  kloczek
- release 6, Epoch 1 (for allow upgrade from RH 7).

Revision 1.50  2000/10/06 01:40:37  kloczek
- release 5: use new rpm automation suit.

Revision 1.49  2000/08/20 20:26:49  kloczek
- release 4,
- added full i18n support for imlib cfg editor basing on .po files from MDK
  package (MDK has completly f^Hbrouken i18n in imlib),
- merged palfallback patch from redhat,
- added m4_fix patch with fix aclocal macros for imlib (bump minimal version
  imlib to 1.9.5).

Revision 1.48  2000/07/29 16:37:17  kloczek
- spec adapterized.

Revision 1.47  2000/07/28 13:57:42  zagrodzki
- release 3, built against libpng >= 1.0.8

Revision 1.46  2000/07/19 19:53:05  baggins
- release 2
- rebuild with libpng 1.0.7

Revision 1.45  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.44  2000/06/09 07:23:01  kloczek
- added using %%{__make} macro.

Revision 1.43  2000/05/25 20:28:23  kloczek
- updated to 1.9.8.1.

Revision 1.42  2000/05/17 21:54:34  kloczek
- release 5,
- fixed typo in Requires,
- spec adapterized,
- added using %%{_aclocaldir} macro.

Revision 1.41  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.40  2000/04/28 20:16:58  mkochano
- Typo.

Revision 1.39  2000/04/28 17:40:30  mkochano
- More 'Requires' in '-devel' package.
- Release++.

Revision 1.38  2000/04/01 11:14:43  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.37  2000/03/28 16:54:32  baggins
- translated kloczkish into english

Revision 1.36  2000/02/07 18:33:09  baggins
- release 3
- added gdk patch, imlib_gdk must be linked with libgdk.so

Revision 1.35  2000/02/02 11:43:08  zagrodzki
- typo

Revision 1.34  2000/01/28 18:50:24  kloczek
- spec adapterized.

Revision 1.33  1999/12/07 10:33:11  kloczek
- updated Source url (base now is ftp://ftp.gnome.org/pub/GNOME/sources/).

Revision 1.32  1999/11/13 10:42:30  waszi
- updated to 1.9.8

Revision 1.31  1999/11/12 07:38:55  waszi
- small fixes

Revision 1.30  1999/11/09 03:06:16  kloczek
- fr translation from freshmeat packages.

Revision 1.29  1999/10/12 22:15:36  kloczek
- release 2,
- fixred BR#86: added desktop file for imlib-config (movesd from
  gnome-core).

Revision 1.28  1999/09/07 22:09:27  kloczek
- added libungif-devel and zlib-devel to BuildRequires.

Revision 1.27  1999/09/07 21:56:44  kloczek
- fix: imlib plugins moved to proper package (from devel to main),
- added lib*.la to main (for plugins) and to devel (for imlib libraries).
- added stripping imlib plugins.

Revision 1.26  1999/09/07 21:21:48  kloczek
- updated to 1.9.7,
- removed SONAME symlinks from main package.

Revision 1.25  1999/07/20 12:48:07  wiget
- switch to rpm 3.0.2

Revision 1.24  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon May 24 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [1.9.4-3]
- spec based on RH version,
- rewrirted by Piotr Czerwiński <pius@pld.org.pl> and me,
- pl translation Wojtek Ślusarczyk <wojtek@shadow.eu.org>.
